Refresh authentication token

  • POST /users/auth/_refresh
Auth

Issues a new authentication token.

Responses

The token refreshed successfully and was returned in the body of the response.

application/json
token string required

The authorization bearer token that you use in subsequent requests

session_expiration_time string · format: date-time required

The time that the session token will expire

The authentication token is invalid or expired. (code: root.unauthorized)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

The administrator needs to configure the authentication cluster. (code: authc.no_authentication_cluster)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

The authentication cluster failed to process the request. The response body contains details about the error. (code: authc.authentication_cluster_error)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response